Browse & search
Folder listings, recent and starred files, what's shared with you and by you, search, your storage use, and finding people to share with.
| Method | Path | Summary |
|---|---|---|
| GET | /api/v2/me | Who you are and your Drive settings |
| GET | /api/v2/usage | Your storage use |
| GET | /api/v2/list | List a folder |
| GET | /api/v2/recent | Recent files |
| GET | /api/v2/starred | Starred items |
| GET | /api/v2/shared | Shared with you |
| GET | /api/v2/shared-by-me | Shared by you |
| GET | /api/v2/search | Search files and folders |
| GET | /api/v2/people | Find people and groups to share with |
#Who you are and your Drive settings
GET
/api/v2/me- Address
https://<your-org>.brambleit.cloud/drive/api/v2/me- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Response 200
| Field | Type | Description |
|---|---|---|
user | object | |
user.id | integer | |
user.name | string | |
user.first_name | string | |
user.email | string | |
libraries | array of any | |
usage | any | |
settings | object | |
settings.links_enabled | boolean | |
settings.link_max_days | integer | |
settings.trash_days | integer | |
settings.quick_share | any | |
settings.quick_share_max_days | integer |
Example response
JSON
{
"user": {
"id": 42,
"name": "Example name",
"first_name": "Alex",
"email": "alex@example.com"
},
"libraries": [],
"usage": null,
"settings": {
"links_enabled": true,
"link_max_days": 1,
"trash_days": 1,
"quick_share": null,
"quick_share_max_days": 1
}
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/me' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/me', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/me",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/me' -Headers $headers#Your storage use
GET
/api/v2/usage- Address
https://<your-org>.brambleit.cloud/drive/api/v2/usage- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Response 200
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/usage' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/usage', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/usage",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/usage' -Headers $headers#List a folder
GET
/api/v2/list- Address
https://<your-org>.brambleit.cloud/drive/api/v2/list- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Query parameters
| Name | Type | Description |
|---|---|---|
parent | any | The folder's id. Leave out for the top of the space. |
parent_id | integer | |
site | any | A library's id. Leave out for your personal files. |
site_id | integer |
Response 200
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/list' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/list', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/list",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/list' -Headers $headers#Recent files
GET
/api/v2/recent- Address
https://<your-org>.brambleit.cloud/drive/api/v2/recent- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Response 200
| Field | Type | Description |
|---|---|---|
items | array of any | |
locations | array of any |
Example response
JSON
{
"items": [],
"locations": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/recent' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/recent', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/recent",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/recent' -Headers $headers#Starred items
GET
/api/v2/starred- Address
https://<your-org>.brambleit.cloud/drive/api/v2/starred- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Response 200
| Field | Type | Description |
|---|---|---|
items | array of any | |
locations | array of any |
Example response
JSON
{
"items": [],
"locations": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/starred' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/starred', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/starred",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/starred' -Headers $headers#Search files and folders
GET
/api/v2/search- Address
https://<your-org>.brambleit.cloud/drive/api/v2/search- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Query parameters
| Name | Type | Description |
|---|---|---|
qrequired | any | Text to search for in names. |
type | string | file or folder. |
Response 200
| Field | Type | Description |
|---|---|---|
items | array of any | |
locations | array of any |
Example response
JSON
{
"items": [],
"locations": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/search?q=%E2%80%A6' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/search?q=%E2%80%A6', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/search?q=%E2%80%A6",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/search?q=%E2%80%A6' -Headers $headers#Find people and groups to share with
GET
/api/v2/people- Address
https://<your-org>.brambleit.cloud/drive/api/v2/people- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Drive.
Query parameters
| Name | Type | Description |
|---|---|---|
q | any | Name or email to search for. |
Response 200
| Field | Type | Description |
|---|---|---|
results | array of any |
Example response
JSON
{
"results": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/drive/api/v2/people' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/drive/api/v2/people', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/drive/api/v2/people",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/drive/api/v2/people' -Headers $headersWas this page helpful?
Thanks for your feedback.